import java.io.*;

class Aluno
{
    private String aluno;
    private double Nota[];


    public Aluno()
    {
        Nota = new double[3];
        for(int i=0;i<3;i++)
            Nota[i]=0.0;
        aluno="";
    }

    public Aluno(String nome)
    {
        this();
        Atribuir(nome);
        
    }

    public Aluno(String nome,double n1,double n2,double n3)
    {
        this(nome);
        Atribuir(n1,n2,n3);
    }

    public void Atribuir(String nome)
    {
        aluno = nome;
    }

    public void Atribuir(double n1, double n2, double n3)
    {
        Nota[0] = n1;
        Nota[1] = n2;
        Nota[2] = n3;
    }

    public void Atribuir(String nome,double n1, double n2, double n3)
    {
        Atribuir(nome);
        Atribuir(n1,n2,n3);
    }

    public String QualNome()
    {
        return aluno;
    }

    public double QualNota(int nota)
    {
        switch(nota){
            case 1: return Nota[0];
            case 2: return Nota[1];
            case 3: return Nota[2];
            default: break;
        }
        return 0;
    }

    public double QualMedia()
    {
        double media;

        media = (Nota[0]) + (Nota[1] * 2.0) + (Nota[2] * 3.0);
        media = media/6;
        return media;
    }

}

class Principal
{       
        static InputStreamReader FonteDeDados;
        static BufferedReader    Entrada;
        
        static Aluno a;

    public static void main(String args[]) throws IOException
    {
        FonteDeDados = new InputStreamReader (System.in);
        Entrada      = new BufferedReader    (FonteDeDados);
         a = new Aluno("cesar",1,2,3);

        int menu=0;
        while(menu!=5){
        System.out.println("\nAlunos\n\n");
        System.out.print("1. Cadastrar novo aluno\n");
        System.out.print("2. Mostrar aluno\n");
        System.out.print("3. Mostrar nota\n");
        System.out.print("4. Mostrar media\n");
        System.out.print("5. Sair.\n\n Opcao: ");
        int option = Integer.parseInt(Entrada.readLine());
               
        switch(option){
            case 1: NovoAluno();break;
            case 2: Aluno();    break;
            case 3: Nota();     break;
            case 4: Media();    break;
            case 5: menu=5; break;
            default: System.out.print("\nNumero invalido");break;
        }
       }
    }

    private static void NovoAluno()throws IOException
    {
        System.out.println("Novo Aluno\n");
        System.out.print("Nome: ");
        String nome = Entrada.readLine();
//      a.Atribuir(nome);
        
        System.out.print("Nota 1: ");
        double n1 = Double.parseDouble(Entrada.readLine());
        System.out.print("Nota 2: ");
        double n2 = Double.parseDouble(Entrada.readLine());
        System.out.print("Nota 3: ");
        double n3 = Double.parseDouble(Entrada.readLine());
//      a.Atribuir(n1,n2,n3);
        a.Atribuir(nome,n1,n2,n3); //utilizando sobrecarga
        System.out.println("Aluno cadastrado com Sucesso!\n");
    }

    private static void Aluno()throws IOException
    {
        System.out.print("\nBuscar Aluno");
        System.out.print("\nNome: ");
        String nome = Entrada.readLine();
        System.out.print("\n\n\nNome = " + a.QualNome());
        System.out.print("\nNota 1 = " + a.QualNota(1));
        System.out.print("\nNota 2 = " + a.QualNota(2));
        System.out.print("\nNota 3 = " + a.QualNota(3));
        System.out.print("\nMedia  = " + a.QualMedia() + "\n\n\n");

    }
    
    private static void Nota()throws IOException
    {
        System.out.print("Mostar nota 1, 2 ou 3 ? :");
        int opcao = Integer.parseInt(Entrada.readLine());
        System.out.println("\n\n >>>> " + a.QualNota(opcao));
    }
    
    private static void Media()
    {
        System.out.println("Exibir media");
        System.out.println("\n\n >>>> " + a.QualMedia());
    }



}